#ifndef	_gr_h
#define	_gr_h

#include "grcomm.h"

/* should return non-zero to continue */
typedef	int (*mode_enumerator)(int wid,int hig,int rbits,int gbits,int bbits,int pages,int code);

void gr_enummodes(mode_enumerator moden);

int  gr_open(int code);	/* 0-Ok, else errcode */
int  gr_maxx(void); int  gr_maxy(void);	/* Surface sizes */
void gr_close(void);	/* selfexplanatory */

void gr_pack(int x,int y,pix*line,int len);	/* pack line buffer into internal buffer */
void gr_redraw(void);	/* redraw (flip pages or so on) */

int  gr_key(void);

#define	SHOT_NAME	"shot%03d"
int  gr_shot(void);	/* shot screen image */

#endif	/* _gr_h */
